=== debian/changelog ===
gdm3 (50~alpha.1-0ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + debian/greeter.dconf-defaults:
      - don't set debian settings in the greeter's dconf db
      - keep smartcard auth enabled by default
    + Add systemd drop-in to skip snapd.session-agent in the greeter session
      (LP #2125133)
  * New upstream release 50.alpha.1
  * d/p/launch-environment: Drop patch applied upstream
  * d/p/u/Never-use-Xorg-for-the-greeter.patch: Drop patch not necessary anymore
  * d/p/16_xserver_path.patch, d/rules: Drop patch not necessary anymore
  * d/p/94_retain_xorg_log.patch: Drop unused patch
  * d/p/u/nvidia_prime.patch: Drop unsupported patch
  * d/p: Rebase all other patches
  * d/rules: Drop unused configuration options
  * d/rules: Stop deleting source files in clean
  * d/install: Cleanup non existing files
  * d/install: Add new installed files
  * d/symbols: Update symbols
  * d/control: Bump minimum gnome-shell and gnome-session

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 12 Jan 2026 10:17:10 +0100

gdm3 (49.2-1ubuntu4) resolute; urgency=medium

  * Fix greeter startup with systemd version mismatch.
    When compiling against the latest libsystemd but then loading an older
    libsystemd at runtime, it will error due to not recognizing a new flag.
    Add d/p/userdb-Temporarily-unset-SD_VARLINK_SERVER_MODE_MKDIR_075.patch
    to address this issue until the newer systemd migrates out of proposed.
    (LP: #2135922)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Dec 2025 10:08:30 +0100

gdm3 (49.2-1ubuntu3) resolute; urgency=medium

  * Relax versioned dependency on systemd

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 12 Dec 2025 11:39:41 +0100

gdm3 (49.2-1ubuntu2) resolute; urgency=medium

  * Fix wireplumber not remembering the last used configuration (LP: #2131628)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Dec 2025 16:33:50 +0100

gdm3 (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + debian/greeter.dconf-defaults:
      - don't set debian settings in the greeter's dconf db
      - keep smartcard auth enabled by default
    + Disable x11 greeter
      - add d/p/Never-use-Xorg-for-the-greeter.patch
      - d/control: Drop dependency on Xorg
    + Add systemd drop-in to skip snapd.session-agent in the greeter session
      (LP #2125133)
    + d/control: Drop unused dependency on dbus-daemon

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 25 Nov 2025 11:27:15 +0100
