## gdm3 50~beta

=== debian/changelog ===
gdm3 (50~beta-0ubuntu3) resolute; urgency=medium

  * d/p: Enable GPU rendering in GNOME Remote Desktop session (LP: #2077538)
  * d/p: Drop patch for systemd mismatch
  * d/control: Depend on libsystemd >= 259

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 16:28:20 +0100

gdm3 (50~beta-0ubuntu2) resolute; urgency=medium

  [ Jonas Jelten ]
  * d/t/sssd-gdm-smartcard-pam-auth-tester: remove sssd implicit files domain
    (Closes: #1126368) (LP: #2130705)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 17 Feb 2026 11:56:35 +0100

gdm3 (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release:
    - libgdm/client: Track proxies connection state and do not return invalid
      ones (LP: #2125720)
    - Fix GNOME login screen stops responding (LP: #2125720)
    - Fix PAM Worker crash breaks further logins (LP: #2117248)
  * debian/rules: Remove unused udevdir variable
  * d/p: Refresh git indexes
  * debian/libgdm1.symbols: Add new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Feb 2026 00:07:21 +0100

gdm3 (50~alpha.1-0ubuntu2) resolute; urgency=medium

  * d/tests: Skip greeter test if no primary GPU is detected

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Feb 2026 12:50:59 +0100
