=== debian/control ===
Source: gdm3
Section: gnome
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: check (>= 0.9.4),
               dconf-cli (>= 0.19.90),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-installsysusers,
               docbook-xml,
               gettext (>= 0.19.8),
               gir1.2-gio-2.0-dev,
               gir1.2-glib-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gjs [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x],
               gnome-settings-daemon-dev (>= 3.24.0),
               gobject-introspection (>= 1.80),
               intltool,
               iso-codes,
               itstool,
               libaccountsservice-dev (>= 0.6.35),
               libaudit-dev [linux-any],
               libglib2.0-dev (>= 2.44.0),
               libgtk-3-dev (>= 2.91.1),
               libgudev-1.0-dev (>= 232),
               libjson-glib-dev,
               libkeyutils-dev [linux-any],
               libpam0g-dev,
               libplymouth-dev [linux-any],
               libselinux1-dev [linux-any],
               libsystemd-dev (>= 259) [linux-any],
               libwrap0-dev,
               libx11-dev,
               libxau-dev,
               libxcb1-dev,
               libxdmcp-dev,
               meson (>= 0.57),
               pkgconf,
               systemd-dev,
Standards-Version: 4.7.3
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/latest
Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/latest
Homepage: https://wiki.gnome.org/Projects/GDM/

Package: gdm3
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x
Depends: accountsservice (>= 0.6.35),
         bash (>= 4.3),
         dconf-cli (>= 0.20),
         dconf-gsettings-backend (>= 0.20),
         dbus-bin | systemd-sysv,
         default-dbus-system-bus | dbus-system-bus,
         default-logind [linux-any] | logind [linux-any],
         gir1.2-gdm-1.0 (= ${binary:Version}),
         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         gnome-session-bin (>= 50~alpha),
         gnome-session-common (>= 50~alpha),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 50~alpha),
         gsettings-desktop-schemas,
         libgdm1 (= ${binary:Version}),
         libglib2.0-bin (>= 2.35.0),
         libnss-systemd,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         librsvg2-common,
         polkitd [linux-any],
         procps,
         ucf,
         x11-common (>= 1:7.6+11),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: at-spi2-core,
            ubuntu-session | gnome-session | x-session-manager,
            x11-xkb-utils,
            zenity
Suggests: orca,
          libpam-fprintd (>= 0.8.0-2),
          libpam-sss (>= 2.3.0-1),
          libpam-pkcs11,
          libpam-gnome-keyring
Provides: x-display-manager
Description: GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.

Package: libgdm1
Section: libs
Architecture: linux-any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Display Manager (shared library)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains the shared library required by gnome-shell.

Package: libgdm-dev
Section: libdevel
Architecture: linux-any
Depends: gir1.2-gdm-1.0 (= ${binary:Version}),
         libgdm1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: GNOME Display Manager (development files)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains header and development files.

Package: gir1.2-gdm-1.0
Section: introspection
Architecture: linux-any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains introspection data for the GNOME Display Manager.
