=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 built_binaries := $(shell dh_listpackages)
 
 export systemdsystemunitdir = $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
-export udevdir = $(shell pkgconf --variable=udevdir udev | sed s,^/,,)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
