## gdm3 50~rc

=== debian/changelog ===
gdm3 (50~rc-0ubuntu1) resolute; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * d/p/u: Refresh patches
  * d/p: Update EXTRA_DEVICE_ACCESS patch as proposed upstream
  * d/control: Breaks gnome-remote-desktop

  [ Jonas Jelten ]
  * d/t/sssd-gdm-smartcard-pam-auth-tester: allow sssd to run as non-root
    (LP: #2130705)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Mar 2026 12:59:54 +0100
