=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
           libpam-pkcs11,
           libpam-gnome-keyring
 Provides: x-display-manager
+Breaks: gnome-remote-desktop (<< 50~rc)
 Description: GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
